Package org.apache.sling.scripting.sightly.impl.engine.extension

# Class PrintWriterResponseWrapper

java.lang.Object
javax.servlet.ServletResponseWrapper
javax.servlet.http.HttpServletResponseWrapper
org.apache.sling.api.wrappers.SlingHttpServletResponseWrapper
org.apache.sling.scripting.sightly.impl.engine.extension.PrintWriterResponseWrapper

All Implemented Interfaces:
  `javax.servlet.http.HttpServletResponse`, `javax.servlet.ServletResponse`, `org.apache.sling.api.adapter.Adaptable`, `org.apache.sling.api.SlingHttpServletResponse`

@Deprecated(since="2.0.0-1.4.0") public class PrintWriterResponseWrapper extends org.apache.sling.api.wrappers.SlingHttpServletResponseWrapper
Deprecated.
use `PrintWriterJakartaResponseWrapper` instead
Wrapper response to redirect the output into a specified print writer

## Field Summary

### Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

## Constructor Summary

Constructors
Constructor
Description
`PrintWriterResponseWrapper(PrintWriter writer, org.apache.sling.api.SlingHttpServletResponse wrappedResponse)`
Deprecated.
Create a wrapper for the supplied wrappedRequest

## Method Summary

Modifier and Type
Method
Description
`PrintWriter`
`getWriter()`
Deprecated.

### Methods inherited from class org.apache.sling.api.wrappers.SlingHttpServletResponseWrapper

`adaptTo, getSlingResponse`

### Methods inherited from class javax.servlet.http.HttpServletResponseWrapper

`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, getHeader, getHeaderNames, getHeaders, getStatus, getTrailerFields, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus, setTrailerFields`

### Methods inherited from class javax.servlet.ServletResponseWrapper

`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getResponse, isCommitted, isWrapperFor, isWrapperFor, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setContentType, setLocale, setResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.http.HttpServletResponse

`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, getHeader, getHeaderNames, getHeaders, getStatus, getTrailerFields, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus, setTrailerFields`

### Methods inherited from interface javax.servlet.ServletResponse

`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setContentType, setLocale`

## Constructor Details

### PrintWriterResponseWrapper

public PrintWriterResponseWrapper(PrintWriter writer, org.apache.sling.api.SlingHttpServletResponse wrappedResponse)
Deprecated.
Create a wrapper for the supplied wrappedRequest

Parameters:
  `writer` - - the base writer
  `wrappedResponse` - - the wrapped response

## Method Details

### getWriter

public PrintWriter getWriter() throws IOException
Deprecated.

Specified by:
  `getWriter` in interface `javax.servlet.ServletResponse`
Overrides:
  `getWriter` in class `javax.servlet.ServletResponseWrapper`
Throws:
  `IOException`